# classes/phing/tasks/system/condition/ContainsCondition.php

Is one string part of another string?

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
package
  phing.tasks.system.condition
version
  $Revision: 526 $

## \ContainsCondition
jump to top

Is one string part of another string?

Implements
  \Condition
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
package
  phing.tasks.system.condition
version
  $Revision: 526 $

### Properties

`$caseSensitive= 'true'`
Default value `true` Details

Type

`$string= ''`
Details

Type

`$subString= ''`
Details

Type

### Methods

`evaluate( ) :`
Check whether string contains substring.
Details

throws

`setCaseSensitive( $b ) :`
Whether to search ignoring case or not.
Parameters

Name | Type | Description
--- | --- | ---
$b |  |

`setString( string $a1 ) :`
The string to search in.
Parameters

Name | Type | Description
--- | --- | ---
$a1 | string |

`setSubstring( string $a2 ) :`
The string to search for.
Parameters

Name | Type | Description
--- | --- | ---
$a2 | string |

Documentation was generated by DocBlox 0.13.1.